// Calculate a value to be linearly dependent on the parent item’s width or height. The linear
// function will be calculated based on the two (parent size, value) pairs given.

two_point_parent_fluid(parent_size_1, value_1, parent_size_2, value_2)
    // Use built-in function unit() with empty string to strip unit from calculated slope value.
    slope = unit((value_2 - value_1) / (parent_size_2 - parent_size_1), '')
    constant_term = value_2 - (slope * parent_size_2)
    return "calc((%s * 100%) + %s)" % (slope constant_term)


// Calculate a value to be linearly dependent on the viewport’s width. The linear function will be
// calculated based on the two (viewport width, value) pairs given.

two_point_vw_fluid(vw_1, value_1, vw_2, value_2)
    // Use built-in function unit() with empty string to strip unit from calculated slope value.
    slope = unit((value_2 - value_1) / (vw_2 - vw_1), '')
    constant_term = value_2 - (slope * vw_2)
    return "calc((%s * 100vw) + %s)" % (slope constant_term)


// Calculate a value to be linearly dependent on the viewport’s height. The linear function will be
// calculated based on the two (viewport height, value) pairs given.

two_point_vh_fluid(vh_1, value_1, vh_2, value_2)
    // Use built-in function unit() with empty string to strip unit from calculated slope value.
    slope = unit((value_2 - value_1) / (vh_2 - vh_1), '')
    constant_term = value_2 - (slope * vh_2)
    return "calc((%s * 100vh) + %s)" % (slope constant_term)
